View Issue Details

IDProjectCategoryView StatusLast Update
0003921GNUnetNAT traversal librarypublic2018-06-07 00:24
ReporteramatusAssigned Tobratao 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Platformamd64OSDebianOS Versionjessie
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003921: segfault in process_stun
DescriptionI hit this on my node running rev 36117:

Program terminated with signal SIGSEGV, Segmentation fault.
#0 0x00007f03748da9e2 in process_stun (cls=0x9ade60, tc=0x7ffdf702df80) at nat.c:1192
1192 nat.c: No such file or directory.
(gdb) bt
#0 0x00007f03748da9e2 in process_stun (cls=0x9ade60, tc=0x7ffdf702df80) at nat.c:1192
#1 0x00007f03744a2909 in run_ready (rs=0x94fe40, ws=0x93a960) at scheduler.c:587
#2 0x00007f03744a3214 in GNUNET_SCHEDULER_run (task=0x7f03744afcef <service_task>,
    task_cls=0x7ffdf702e310) at scheduler.c:867
#3 0x00007f03744b1a28 in GNUNET_SERVICE_run (argc=7, argv=0x7ffdf702e598,
    service_name=0x422d1c "transport", options=GNUNET_SERVICE_OPTION_NONE, task=0x405b90 <run>,
    task_cls=0x0) at service.c:1503
#4 0x000000000040626e in main (argc=7, argv=0x7ffdf702e598) at gnunet-service-transport.c:929
(gdb) p *h
$1 = {cfg = 0x1e94bd0, address_callback = 0x22566d0, reversal_callback = 0xdf0adba0df0adba,
  callback_cls = 0xdf0adba0df0adba, ext_dns = 0xdf0adba0df0adba, hostname_dns = 0xdf0adba0df0adba,
  server_stdout = 0xdf0adba0df0adba, server_stdout_handle = 0xdf0adba0df0adba,
  lal_head = 0xdf0adba0df0adba, lal_tail = 0xdf0adba0df0adba, server_retry_delay = {
    rel_value_us = 1004493731513019834}, server_read_task = 0xdf0adba0df0adba,
  ifc_task = 0xdf0adba0df0adba, hostname_task = 0xdf0adba0df0adba, dns_task = 0xdf0adba0df0adba,
  ifc_scan_frequency = {rel_value_us = 1004493731513019834}, hostname_dns_frequency = {
    rel_value_us = 1004493731513019834}, dyndns_frequency = {rel_value_us = 1004493731513019834},
  server_proc = 0xdf0adba0df0adba, local_addrs = 0xdf0adba0df0adba, local_addrlens = 0xdf0adba0df0adba,
  mini_head = 0xdf0adba0df0adba, mini_tail = 0xdf0adba0df0adba, num_local_addrs = 233876922,
  external_address = 0xdf0adba0df0adba <error: Cannot access memory at address 0xdf0adba0df0adba>,
  internal_address = 0xdf0adba0df0adba <error: Cannot access memory at address 0xdf0adba0df0adba>,
  behind_nat = 233876922, nat_punched = 233876922, enable_nat_client = 233876922,
  enable_nat_server = 233876922, enable_upnp = 233876922, use_localaddresses = 233876922,
  return_localaddress = 233876922, use_hostname = 233876922, disable_ipv6 = 233876922,
  is_tcp = 233876922, adv_port = 44474, use_stun = 233876922, stun_frequency = {
    rel_value_us = 1004493731513019834}, socket = 0xdf0adba0df0adba, waiting_stun = 1, stun_task = 0x0,
  stun_servers_head = 0xdf0adba0df0adba, stun_servers_tail = 0xdf0adba0df0adba,
  actual_stun_server = 0x600}
(gdb) p *elem
Cannot access memory at address 0x600
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-07-28 01:16 amatus New Issue
2015-08-02 18:30 Christian Grothoff Assigned To => bratao
2015-08-02 18:30 Christian Grothoff Status new => assigned
2015-08-21 15:24 bratao Status assigned => resolved
2015-08-21 15:24 bratao Resolution open => fixed
2017-02-26 02:19 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-26 02:19 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed